Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0001109
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] Z. Othersminoralways2007-04-03 21:142008-12-08 18:11
ReporterplujanView Statuspublic 
Assigned Torafaroda 
PriorityhighResolutionfixedFixed in Versionpi
StatusclosedFix in branchFixed in SCM revision5857
ProjectionnoneETAnoneTarget Version2.50
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0001109: Data Quality issue on Country Lists

DescriptionThis is a common issue about Data Quality. It is not a bug, but it should be considered for fixing anyway.

Steps to reproduce the behavior:
1. Go "General Rules" -> "Data" -> "Utility"
2. Click on "Location"
3. Look at the Country field contents.
3.1. In Spanish translation almost all countries has English names. "Croatia" instead of "Croacia", "Greece" instead of "Grecia", and so on. "España" and "Francia" are correct.
3.2. In English translation the list is the same, so almost all countries are correct, but "Spain" is "España" and "France" is "Francia".
3.3. Trivia question: what is a country? I meant, that list is a correct country list? May be Antarctica should not be considered as a country. And there are some missings, like Serbia and Montenegro (formerly "Serbia and Montenegro", now "Serbia" and "Montenegro", two separate coutries)
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0032956 newTriage Finance Include Kosovo as country in the dataset 
related to defect 0037141 closedmarkmm82 Missed country: Isle of Man 

-  Notes
(0000955)
cromero (reporter)
2007-04-12 13:27
edited on: 2008-06-12 09:18

Logged In: YES
user_id=1500614
Originator: NO

This bug should be fixed.
I assign this bug to our QA department.
Thank you for your feedback.
Carlos Romero
Openbravo Team
(0000956)
user71
2007-06-19 14:41
edited on: 2008-06-12 09:18

Logged In: YES
user_id=1493353
Originator: NO

You can find an official ISO_3166 list of countries at:
In English: http://www.iso.org/iso/en/prods-services/iso3166ma/02iso-3166-code-lists/list-en1.html [^]
In Spanish: http://es.wikipedia.org/wiki/ISO_3166-1 [^]
(0004698)
user71
2005-06-01 00:00
edited on: 2008-06-12 09:43

This bug was originally reported in SourceForge bug tracker and then migrated to Mantis.

You can see the original bug report in:
https://sourceforge.net/support/tracker.php?aid=1693846 [^]
(0008293)
rafaroda (developer)
2008-07-15 12:06

3.1. In Spanish translation almost all countries has English names. "Croatia" instead of "Croacia", "Greece" instead of "Grecia", and so on. "España" and "Francia" are correct.

This has been fixed in https://dev.openbravo.com/websvn/localization/translations/es_ES/trunk/?rev=116&sc=1 [^]
(0008299)
rafaroda (developer)
2008-07-15 17:09

3.3. And there are some missings, like Serbia and Montenegro (formerly "Serbia and Montenegro", now "Serbia" and "Montenegro", two separate coutries)

This has been fixed in https://issues.openbravo.com/view.php?id=2236 [^]
(0008300)
svnbot (reporter)
2008-07-15 17:19

Repository: openbravo
Revision: 5857
Author: rafaroda
Date: 2008-07-15 17:19:25 +0200 (Tue, 15 Jul 2008)

Fixes bug 0001109 Translated some countries from Spanish to English and added descriptions to some others.

---
U trunk/src-db/database/masterdata/C_COUNTRY.xml
---

https://dev.openbravo.com/websvn/openbravo/?rev=5857&sc=1 [^]

- Issue History
Date Modified Username Field Change
2008-06-13 19:31 cromero Assigned To psarobe => dalsasua
2008-06-13 19:31 cromero Priority normal => high
2008-06-13 19:31 cromero Status new => scheduled
2008-06-13 19:31 cromero Target Version => 2.50
2008-06-13 19:31 cromero Description Updated
2008-06-25 10:15 pjuvara Assigned To dalsasua => rafaroda
2008-07-15 12:06 rafaroda Note Added: 0008293
2008-07-15 17:09 rafaroda Note Added: 0008299
2008-07-15 17:19 svnbot Checkin
2008-07-15 17:19 svnbot Note Added: 0008300
2008-07-15 17:19 svnbot Status scheduled => resolved
2008-07-15 17:19 svnbot Resolution open => fixed
2008-07-15 17:19 svnbot svn_revision => 5857
2008-12-08 18:11 psarobe Regression testing => No
2008-12-08 18:11 psarobe Status resolved => closed
2016-05-13 14:27 plujan Relationship added related to 0032956
2017-10-31 14:43 plujan Relationship added related to 0037141


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker